
QGIS Application - Bug report #15869

Processing: QGIS import into PostGIS requires table name

2016-11-21 03:15 AM - Paolo Cavallini

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.18.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 23787

Description

Batch processing fails with `Missing parameter value: Table to import to (leave blank to use layer name (row 1)`.

The parameter has incorrectly been set as mandatory, whereas it should be taken from input layer name.

Associated revisions

Revision 271e67e3 - 2016-11-22 12:59 AM - Nyall Dawson

[processing] Fix import to postgis alg when table name not set (fix #15869, 15097)

Revision a78efc0b - 2016-11-23 02:09 AM - Nyall Dawson

[processing] Fix import to postgis alg when table name not set (fix #15869, 15097)

(cherry-picked from 271e67e)

History

#1 - 2016-11-21 10:28 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

Please use the proper priority when filing a issue (that you know has a specific one).

#2 - 2016-11-21 10:29 AM - Giovanni Manghi

regression, do not occur on LTR.

#3 - 2016-11-21 03:58 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"271e67e37b781260d889778e97064efae72a0b15".

#4 - 2016-11-21 04:06 PM - Giovanni Manghi

- Resolution set to duplicate
